package com.railway.business.baseinfo.service;

import com.railway.business.baseinfo.domain.BaseDeptLine;
import com.railway.business.baseinfo.domain.BaseLine;
import com.railway.business.baseinfo.domain.vo.BaseLineQuery;
import com.railway.business.baseinfo.domain.vo.BaseLineVo;
import java.util.List;

/**
 * primary key (line_id) using
 *
 * @author author
 * @date 2021/10/16
 */
public interface IBaseLineService {

  /**
   * 新增
   */
  int create(BaseLineVo baseLineVo);

  /**
   * 删除
   */
  int delete(Long[] lineIds);

  /**
   * 更新
   */
  int update(BaseLineVo baseLineVo);

  /**
   * 获取单个
   */
  BaseLineVo getInfo(Long lineId);

  /**
   * 查询列表
   */
  List<BaseLineVo> getDetailList(BaseLineQuery query);

  /**
   * 查询列表
   */
  List<BaseLine> getListByDeptId(Long deptId);

  /**
   * 查询列表
   */
  List<BaseDeptLine> getDeptByLineId(Long lineId);

}
